- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_worker.h File Reference

axis2 HTTP Worker More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_simple_http_svr_conn.h>`
`#include <axis2_http_simple_response.h>`
`#include <axis2_http_simple_request.h>`
`#include <axis2_conf_ctx.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_http_worker | axis2_http_worker_t
## Functions
AXIS2_EXTERN axis2_bool_t | axis2_http_worker_process_request (axis2_http_worker_t *http_worker, const axutil_env_t *env, axis2_simple_http_svr_conn_t *svr_conn, axis2_http_simple_request_t *simple_request)
AXIS2_EXTERN axis2_status_t | axis2_http_worker_set_svr_port (axis2_http_worker_t *http_worker, const axutil_env_t *env, int port)
AXIS2_EXTERN void | axis2_http_worker_free (axis2_http_worker_t *http_worker, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_worker_t * | axis2_http_worker_create (const axutil_env_t *env, axis2_conf_ctx_t *conf_ctx)

## Detailed Description

axis2 HTTP Worker